## org.apache.poi.hwpf.converter
Class FoDocumentFacade

    java.lang.Object
      org.apache.poi.hwpf.converter.FoDocumentFacade

    @Beta
    public class FoDocumentFacade

extends java.lang.Object

Field Summary
`protected org.w3c.dom.Element` `declarations`
`protected org.w3c.dom.Document` `document`
`protected org.w3c.dom.Element` `layoutMasterSet`
`protected org.w3c.dom.Element` `propertiesRoot`
`protected org.w3c.dom.Element` `root`

Constructor Summary
`FoDocumentFacade(org.w3c.dom.Document document)`

Method Summary
`org.w3c.dom.Element` `addFlowToPageSequence(org.w3c.dom.Element pageSequence, java.lang.String flowName)`
`org.w3c.dom.Element` `addListItem(org.w3c.dom.Element listBlock)`
`org.w3c.dom.Element` `addListItemBody(org.w3c.dom.Element listItem)`
`org.w3c.dom.Element` `addListItemLabel(org.w3c.dom.Element listItem, java.lang.String text)`
`void` `addPageSequence(org.w3c.dom.Element pageSequence)`
`org.w3c.dom.Element` `addPageSequence(java.lang.String pageMaster)`
`org.w3c.dom.Element` `addRegionBody(org.w3c.dom.Element pageMaster)`
`org.w3c.dom.Element` `addSimplePageMaster(java.lang.String masterName)`
`org.w3c.dom.Element` `createBasicLinkExternal(java.lang.String externalDestination)`
`org.w3c.dom.Element` `createBasicLinkInternal(java.lang.String internalDestination)`
`org.w3c.dom.Element` `createBlock()`
`org.w3c.dom.Element` `createExternalGraphic(java.lang.String source)`
`org.w3c.dom.Element` `createFootnote()`
`org.w3c.dom.Element` `createFootnoteBody()`
`org.w3c.dom.Element` `createInline()`
`org.w3c.dom.Element` `createLeader()`
`org.w3c.dom.Element` `createListBlock()`
`org.w3c.dom.Element` `createListItem()`
`org.w3c.dom.Element` `createListItemBody()`
`org.w3c.dom.Element` `createListItemLabel(java.lang.String text)`
`org.w3c.dom.Element` `createPageSequence(java.lang.String pageMaster)`
`org.w3c.dom.Element` `createTable()`
`org.w3c.dom.Element` `createTableBody()`
`org.w3c.dom.Element` `createTableCell()`
`org.w3c.dom.Element` `createTableColumn()`
`org.w3c.dom.Element` `createTableHeader()`
`org.w3c.dom.Element` `createTableRow()`
`org.w3c.dom.Text` `createText(java.lang.String data)`
`org.w3c.dom.Document` `getDocument()`
`protected org.w3c.dom.Element` `getOrCreatePropertiesRoot()`
`void` `setCreator(java.lang.String value)`
`void` `setCreatorTool(java.lang.String value)`
`void` `setDescription(java.lang.String value)`
`org.w3c.dom.Element` `setDublinCoreProperty(java.lang.String name, java.lang.String value)`
`void` `setKeywords(java.lang.String value)`
`org.w3c.dom.Element` `setPdfProperty(java.lang.String name, java.lang.String value)`
`void` `setProducer(java.lang.String value)`
`protected org.w3c.dom.Element` `setProperty(java.lang.String namespace, java.lang.String prefix, java.lang.String name, java.lang.String value)`
`void` `setSubject(java.lang.String value)`
`void` `setTitle(java.lang.String value)`
`org.w3c.dom.Element` `setXmpProperty(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### declarations

    protected final org.w3c.dom.Element declarations

### document

    protected final org.w3c.dom.Document document

### layoutMasterSet

    protected final org.w3c.dom.Element layoutMasterSet

### propertiesRoot

    protected org.w3c.dom.Element propertiesRoot

### root

    protected final org.w3c.dom.Element root

Constructor Detail

### FoDocumentFacade

    public FoDocumentFacade(org.w3c.dom.Document document)

Method Detail

### addFlowToPageSequence

    public org.w3c.dom.Element addFlowToPageSequence(org.w3c.dom.Element pageSequence,
                                                     java.lang.String flowName)

### addListItem

    public org.w3c.dom.Element addListItem(org.w3c.dom.Element listBlock)

### addListItemBody

    public org.w3c.dom.Element addListItemBody(org.w3c.dom.Element listItem)

### addListItemLabel

    public org.w3c.dom.Element addListItemLabel(org.w3c.dom.Element listItem,
                                                java.lang.String text)

### addPageSequence

    public void addPageSequence(org.w3c.dom.Element pageSequence)

### addPageSequence

    public org.w3c.dom.Element addPageSequence(java.lang.String pageMaster)

### addRegionBody

    public org.w3c.dom.Element addRegionBody(org.w3c.dom.Element pageMaster)

### addSimplePageMaster

    public org.w3c.dom.Element addSimplePageMaster(java.lang.String masterName)

### createBasicLinkExternal

    public org.w3c.dom.Element createBasicLinkExternal(java.lang.String externalDestination)

### createBasicLinkInternal

    public org.w3c.dom.Element createBasicLinkInternal(java.lang.String internalDestination)

### createBlock

    public org.w3c.dom.Element createBlock()

### createExternalGraphic

    public org.w3c.dom.Element createExternalGraphic(java.lang.String source)

### createFootnote

    public org.w3c.dom.Element createFootnote()

### createFootnoteBody

    public org.w3c.dom.Element createFootnoteBody()

### createInline

    public org.w3c.dom.Element createInline()

### createLeader

    public org.w3c.dom.Element createLeader()

### createListBlock

    public org.w3c.dom.Element createListBlock()

### createListItem

    public org.w3c.dom.Element createListItem()

### createListItemBody

    public org.w3c.dom.Element createListItemBody()

### createListItemLabel

    public org.w3c.dom.Element createListItemLabel(java.lang.String text)

### createPageSequence

    public org.w3c.dom.Element createPageSequence(java.lang.String pageMaster)

### createTable

    public org.w3c.dom.Element createTable()

### createTableBody

    public org.w3c.dom.Element createTableBody()

### createTableCell

    public org.w3c.dom.Element createTableCell()

### createTableColumn

    public org.w3c.dom.Element createTableColumn()

### createTableHeader

    public org.w3c.dom.Element createTableHeader()

### createTableRow

    public org.w3c.dom.Element createTableRow()

### createText

    public org.w3c.dom.Text createText(java.lang.String data)

### getDocument

    public org.w3c.dom.Document getDocument()

### getOrCreatePropertiesRoot

    protected org.w3c.dom.Element getOrCreatePropertiesRoot()

### setCreator

    public void setCreator(java.lang.String value)

### setCreatorTool

    public void setCreatorTool(java.lang.String value)

### setDescription

    public void setDescription(java.lang.String value)

### setDublinCoreProperty

    public org.w3c.dom.Element setDublinCoreProperty(java.lang.String name,
                                                     java.lang.String value)

### setKeywords

    public void setKeywords(java.lang.String value)

### setPdfProperty

    public org.w3c.dom.Element setPdfProperty(java.lang.String name,
                                              java.lang.String value)

### setProducer

    public void setProducer(java.lang.String value)

### setProperty

    protected org.w3c.dom.Element setProperty(java.lang.String namespace,
                                              java.lang.String prefix,
                                              java.lang.String name,
                                              java.lang.String value)

### setSubject

    public void setSubject(java.lang.String value)

### setTitle

    public void setTitle(java.lang.String value)

### setXmpProperty

    public org.w3c.dom.Element setXmpProperty(java.lang.String name,
                                              java.lang.String value)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.